// -*- mode: Java; file-coding-system: *euc-japan*; -*-
// $Id: RandomAccessQueue.java,v 1.1 1999/08/23 11:53:09 maeda Exp $
// Copyright (C) 1999 MAEDA Atusi

/**
 * Randomly accessible Queue.
 * @author MAEDA Atusi
 */

package jp.ac.tohoku.is.archi.mpi2.util;

public interface RandomAccessQueue extends Queue {
  public Object peek(int i);
  public Object del(int i);
}
